VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
VisiMath.Collisions.CollisionSolver.QuickTest Class Reference

List of all members.

## Static Public Member Functions
static bool | ConvexObjects (IConvexObject obj1, IConvexObject obj2)
| Performs quick collision check for two generic convex objects.
static bool | SpatialIndices (ref ISpatialIndex ind1, ref ISpatialIndex ind2)
| Performs quick intersection test of two spatial indices using GJK solver.
static bool | Geometry (IGeometry obj1, ref Matrix4 mat1, IGeometry obj2, ref Matrix4 mat2)
| Quick check for two generic geometry objects with transformations.

## Member Function Documentation

static bool VisiMath.Collisions.CollisionSolver.QuickTest.ConvexObjects | ( | IConvexObject | obj1,
|  | IConvexObject | obj2
| ) |  | `[static]`

Performs quick collision check for two generic convex objects.

Parameters:

  obj1 | Object 1
  obj2 | Object 2

Returns:
  True if objects collide

static bool VisiMath.Collisions.CollisionSolver.QuickTest.Geometry | ( | IGeometry | obj1,
|  | ref Matrix4 | mat1,
|  | IGeometry | obj2,
|  | ref Matrix4 | mat2
| ) |  | `[static]`

Quick check for two generic geometry objects with transformations.

Parameters:

  obj1 | object 1
  mat1 | transformation of object 1
  obj2 | object 2
  mat2 | transformation of object 2

Returns:
  True if objects collide

static bool VisiMath.Collisions.CollisionSolver.QuickTest.SpatialIndices | ( | ref ISpatialIndex | ind1,
|  | ref ISpatialIndex | ind2
| ) |  | `[static]`

Performs quick intersection test of two spatial indices using GJK solver.

Parameters:

  ind1 | Spatial index1
  ind2 | Spatial index2

Returns:
  True if intersection

The documentation for this class was generated from the following file:

- CollisionSolver.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events